## gramadoir 0.7

=== debian/changelog ===
gramadoir (0.7-6) unstable; urgency=medium

  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * Allow repeated builds. Closes: #1045112, #1049581
  * Fix elpa:Depends; drop unused shlibs:Depends
  * Fix dh-elpa usage. Drop old emacsen-* install files.
    Closes: #973969
  * Drop d/rules.old. Closes: #1100670
  * Update homepage. Closes: #981687
  * Ship UTF-8 gramadoir.el
  * Add DEP headers to patches
  * Move d/copyright to machine-readable

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Jan 2026 15:15:44 +0000

gramadoir (0.7-5) unstable; urgency=medium

  * Standards-Version: 4.7.0; no changes required
  * Rebuild against newer dh-elpa. Closes: #1077109
  * Now use debhelper compat 13

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Jul 2024 08:37:06 +0100

gramadoir (0.7-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 12:28:36 +0100

gramadoir (0.7-4) unstable; urgency=medium

  * Standards-Version now 4.0.0
  * Debhelper version 10.
  * Drop dh-autoreconf build-depends
  * gramadoir.vim no longer executable (its a plugin)
  * Drop .pl suffixes from gram-ga.pl, groo-ga.pl

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Jul 2017 12:45:23 +0100

gramadoir (0.7-3) unstable; urgency=medium

  * Add patch from Chris Lamb to make gramadoir build reproducible.
    Closes: #778937.
  * Move to Standards-Version: 3.9.6 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Jun 2015 17:09:08 +0100

gramadoir (0.7-2) unstable; urgency=low

  * B-D on dh-autoreconf, not autotools-dev. Closes: #728586 
  * Use DESTDIR not PREFIX for Perl make install, as per lintian.
  * Refer to GPL-2 not GPL in copyright file.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Nov 2013 15:52:06 +0000

gramadoir (0.7-1) unstable; urgency=low

  * Move from DBS to debhelper. Closes: #576049, #710469.
  * New upstream release. Closes: #723881. 
  * Add misc:Depends on debhelper. Thanks to Lintian.
  * Change install dir for vim addon. Closes: #464820.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Oct 2013 21:53:29 +0100

gramadoir (0.6-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Auto-update config.{guess,sub} to fix FTBFS on GNU/kFreeBSD.  Thanks
    Aurelien Jarno.  (Closes: #320199)

 -- Robert Millan <rmh@debian.org>  Fri, 27 Apr 2012 21:52:45 +0200

gramadoir (0.6-4) unstable; urgency=low

  * Move /usr/bin/* from liblibgua-ga-gramadoir-perl. Closes: #481586.
  * Move to Standards-Version: 3.8.0; Add Homepage: field to debian/control.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Jul 2008 17:30:31 +0100

gramadoir (0.6-3) unstable; urgency=low

  * Fix dependency on Perl 5.8.8. Closes:  #467124.
  * Move to Standards-Version: 3.7.3. No changes required.
  * Replace DH_COMPAT=5 in debian/rules with debian/compat file.
  * Put liblingya-ga-gramadoir-perl in Section: perl

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 May 2008 16:59:18 +0100

gramadoir (0.6-2) unstable; urgency=low

  * Build-Depends: on liblocale-po-perl. Closes: #387084. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Sep 2006 09:57:50 +0100

gramadoir (0.6-1) unstable; urgency=low

  * New upstream release.
  * Now has separate package liblingua-ga-gramadoir-perl, which contains the
    main grammar checker, and gramadoir package contains integration scripts.
  * Move to Standards-Version: 3.7.2. No changes required.
  * Now Arch: all again, as it is purely perl.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue,  5 Sep 2006 06:56:02 +0100

gramadoir (0.4-2) unstable; urgency=low

  * Change Arch: all to Arch: any; one of the components is compiled.
  * Move program modules from /usr/share/gramadoir to /usr/lib/gramadoir,
    as per FHS.
  * Include gramadoir.vim in /usr/share/vim/addons
  * Include gramadoir.dtd in /usr/share/xml/gramadoir
  * Include gramadoir.el ; install vi dh_installemacsen
  * Include man page.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Aug 2004 21:38:07 +0100

gramadoir (0.4-1) unstable; urgency=low

  * Initial release.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Mar 2004 19:36:55 +0000
