=== debian/control ===
Source: gramadoir
Section: misc
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
 dh-elpa (>= 2.1.5)
Build-Depends-Indep: libstring-approx-perl, liblocale-po-perl
Homepage: https://cadhan.com/gramadoir/index-en.html
Standards-Version: 4.7.3

Package: gramadoir
Architecture: all
Depends: gettext, 
 liblingua-ga-gramadoir-perl, 
 ${misc:Depends},
 ${elpa:Depends}
Suggests: iirish
Description: Irish language grammar checker (integration scripts)
 This package contains scripts for integrating the Irish language
 grammar checker module 'liblingua-ga-gramadoir-perl' into a variety
 of packages, including emacs, vim and OpenOffice.

Package: liblingua-ga-gramadoir-perl
Architecture: all
Section: perl
Depends:  libstring-approx-perl, ${misc:Depends}
Recommends: gramadoir
Description: Irish language grammar checker
 This package is an Irish (gaeilge) language grammar checker.
 .
 It contains a Perl module for grammar checking in Irish, and a 
 script for using this module at the command-line.
